Page MenuHomePhabricator

Regression in 1.2.1-S2 hostname & logging
Closed, ResolvedPublic

Description

The new 1.2.1-S2 version provides an incorrect hostname in output sent to a syslog server. A couple lines in the /etc/hosts file are different between 1.2.1 and 1.2.1-S2:

1.2.1

127.0.0.1       localhost debian
127.0.1.1	vr16-1 # VyOS entry

1.2.1-S2

### Autogenerated by host_name.py ###
127.0.0.1       localhost vr24-1

This produces different results when trying to find the FQDN:

1.2.1

bmtauer@vr16-1:~$ hostname -f
vr16-1

1.2.1-S2

bmtauer@vr24-1:~$ hostname -f
localhost

The end results is that syslog data for ALL our vyos instances are getting lumped together as "localhost" rather than under specific instance names. This isn't the end of the world, but it does present difficulty.

Details

Difficulty level
Unknown (require assessment)
Version
-1.2.1
Why the issue appeared?
Will be filled on close

Related Objects

Event Timeline

bmtauer created this task.Jun 19 2019, 8:44 PM
bmtauer created this object in space S1 VyOS Public.

@bmtauer I have made a fix in the rolloing release and also backpurted to crux. so should be in 1.2.2

UnicronNL closed this task as Resolved.Jun 20 2019, 8:45 AM
UnicronNL claimed this task.

I think there's still an issue in the latest rolling. The hostname is not being set to the one in the config.

vyos@vyos:~$ configure
[edit]
vyos@vyos# show system host-name
 host-name VyOS-Lake
[edit]
vyos@vyos# cat /etc/hosts

### Autogenerated by host_name.py ###
127.0.0.1       localhost
127.0.1.1       vyos

# The following lines are desirable for IPv6 capable hosts
::1             localhost ip6-localhost ip6-loopback
fe00::0         ip6-localnet
ff00::0         ip6-mcastprefix
ff02::1         ip6-allnodes
ff02::2         ip6-allrouters

# static hostname mappings

### modifications from other scripts should be added below

[edit]
vyos@vyos# run show system image
The system currently has the following image(s) installed:

   1: 1.2.0-rolling+201906251727 (default boot)
   2: 1.2.0-rolling+201906161708
zsdc added a subscriber: zsdc.Jul 18 2019, 12:46 PM

@bmtauer, @mb300sd, the proper fix was applied. You can check again with any rolling release after 2019-07-17. Write back, please, if the problem will be still there.

@zsdc Rolling builds appear to be broken. ( T1533 ) Nothing newer than 201907150337.

zsdc added a comment.Jul 18 2019, 6:52 PM

@mb300sd, yes - nothing newer yet. Just test, please, when a new build will be available. :)